Skip to main content

Get reward by ID

GET /v1/public/rewards/{id}

Returns one merchant reward template.

Authorization

X-API-Key required with the rewards:read scope

Parameters

NameLocationTypeRequiredDescription
idpathstringYesThe resource's returned id or externalId.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/rewards/66c735e253f2836fbe941234" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Reward template retrieved.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": {
"id": "66c735e253f2836fbe941236",
"title": "Free Coffee",
"description": "Any regular coffee",
"active": true,
"expiryDays": 30
}
}